Inbox Toolbar

About Inbox Toolbar

Inbox Toolbar System Requirements

To install and use the Inbox Toolbar, you need:

  • Microsoft Windows® XP, Vista or 7

  • Internet Explorer® 5.5 or a higher version, or Mozilla® Firefox® 2.0 or higher, All recent versions of Google Chrome™

  • Min. 3MB of disk space

« Go back to Help